Name:      mongoose
Group:     Applications/System 
Summary:   An easy-to-use self-sufficient web server
Version:   2.8
Release:   4%{?dist}
License:   MIT
URL:       http://code.google.com/p/mongoose
Source0:   http://mongoose.googlecode.com/files/mongoose-%{version}.tgz
Source1:   mongoose.conf

# Build changes
Patch0:    mongoose-makefile-include-debuginfo.patch
Patch1:    mongoose-use-openssl-versioned-shlib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Mongoose web server executable is self-sufficient, it does not depend on 
anything to start serving requests. If it is copied to any directory and 
executed, it starts to serve that directory on port 8080 (so to access files, 
go to http://localhost:8080). If some additional configuration is required - 
for example, different listening port or IP-based access control, then a 
'mongoose.conf' file with respective options can be created in the same 
directory where executable lives. This makes Mongoose perfect for all sorts 
of demos, quick tests, file sharing, and Web programming.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .debug
%patch1 -p1 -b .libssl
%{__install} -p -m 0644  %{SOURCE1} .

%build
%{__make} %{?_smp_mflags} CFLAGS='%{optflags} -DSSL_LIB=\"libssl.so.1.0.0\" -DCRYPTO_LIB=\"libcrypto.so.1.0.0\"' linux 

%install
%{__rm} -rf %{buildroot}
%{__install} -D -p -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -D -p -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed May 19 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-4
- Drop off all source files from doc dir, including the examples
- Add patch to define correct OpenSSL versioned shared libs in build time, 
  as suggested by Ralf Corsepius (592670#c19)

* Tue May 18 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-3
- Several improvements to the Spec, by Terje RÃ¸sten's review (592670#c3)
- Added /examples dir to docs, as suggested by Chen Lei's review (592670#c4)

* Mon May 17 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-2
- Set of fixes to the Spec file, suggested by Chen Lei's review (592670#c1)

* Sat May 15 2010 Rafael Azenha Aquini <aquini at linux dot com> - 2.8-1
- initial packaging.

